﻿<?xml version="1.0" encoding="UTF-8"?>
<ContentView xmlns="http://xamarin.com/schemas/2014/forms" xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" x:Class="EventQMobileApp.ImageTextButton">
    <ContentView.Content>
        <Frame CornerRadius="6" Padding="1"
               BackgroundColor="{StaticResource HighlightColor}"
               HasShadow="False">
            <Frame.GestureRecognizers>
                <TapGestureRecognizer Tapped="ButtonTapped" />
            </Frame.GestureRecognizers>

            <Grid Padding="5">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="40*" />
                    <ColumnDefinition Width="60*" />
                </Grid.ColumnDefinitions>

                <Image  x:Name="icon"
                        Grid.Column="0"
                        Aspect="AspectFit"
                        HorizontalOptions="CenterAndExpand" />

                <Label x:Name="labelText"
                       Grid.Column="1"
                       FontSize="{StaticResource DefaultFontSize}"
                       FontAttributes="Bold"
                       TextColor="White"
                       HorizontalTextAlignment="Center"
                       VerticalTextAlignment="Center" />
            </Grid>
        </Frame>
    </ContentView.Content>
</ContentView>
